## transgui 2.2

=== Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2009/12/18]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifneq ($(findstring $(OS_TARGET),win32,win64),)
PROG_VER=$(shell type VERSION.txt)
else
PROG_VER=$(shell cat VERSION.txt)
endif
ifeq ($(LAZARUS_DIR),)
  LAZARUS_DIR=$(strip $(dir $(realpath $(firstword $(strip $(wildcard $(addsuffix /lazbuild$(SRCEXEEXT),$(SEARCHPATH))))))))
  lazarus_ok=$(strip $(wildcard $(LAZARUS_DIR)/lazbuild))
  ifeq ($(lazarus_ok),)
    LAZARUS_DIR=
    lazarus_ok=$(strip $(wildcard $(HOME)/lazarus/lazbuild))
    ifneq ($(lazarus_ok),)
      LAZARUS_DIR=$(HOME)/lazarus
    endif
  endif
  ifeq ($(LAZARUS_DIR),)
    $(error Lazarus directory was not found. Use LAZARUS_DIR=<dir> switch.)
  endif
endif
$(info Using Lazarus dir: $(LAZARUS_DIR))
LAZRES=$(LAZARUS_DIR)/tools/lazres$(SRCEXEEXT)
LCL_WIDGETSET=gtk2
ifneq ($(findstring $(OS_TARGET),win32,win64),)
LCL_WIDGETSET=win32
endif
ifneq ($(findstring $(OS_TARGET),darwin),)
LCL_WIDGETSET=carbon
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_PROGRAMS+=transgui
endif
ifeq ($(FULL_TARGET),avr-embedded)

=== debian/changelog ===
transgui (2.2-1) unstable; urgency=low

  * initial release (Closes: #586507)

 -- Andreas Noteng <andreas@noteng.no>  Thu, 16 Dec 2010 18:13:26 +0100

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~), fpc, lcl-units, lcl-utils, lcl-gtk2, imagemagick
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/transmisson-remote-gui/

Package: transgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A front-end to remotely control Transmission 
 This package contains Transmission Remote GUI, which is a feature rich, 
 cross platform, front-end to remotely control Transmission daemon via its 
 RPC protocol. It is faster and has more functionality than build-in 
 Transmission web interface.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_OPTIONS=nocheck

build:
	mkdir -p units
	convert transgui.ico transgui.xpm

override_dh_auto_test:

override_dh_auto_install:

override_dh_auto_build:
	lazbuild transgui.lpi

%:
	dh $@

## transgui 3.0.1

=== debian/changelog ===
transgui (3.0.1-1) unstable; urgency=low

  * Correctly load OpenSSL libraries (Closes: #609501)
  * Update debian/rules to build with upstream makefile

 -- Andreas Noteng <andreas@noteng.no>  Mon, 28 Feb 2011 23:22:14 +0100

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~), fpc, lcl-units, lcl-utils, lcl-gtk2, 
 imagemagick, libssl-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/transmisson-remote-gui/
Vcs-Git: git://git.debian.org/git/collab-maint/transgui.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/transgui.git

Package: transgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8
Description: A front-end to remotely control Transmission 
 This package contains Transmission Remote GUI, which is a feature rich, 
 cross platform, front-end to remotely control Transmission daemon via its 
 RPC protocol. It is faster and has more functionality than build-in 
 Transmission web interface.

## transgui 3.1+svn607

=== debian/changelog ===
transgui (3.1+svn607-1ubuntu1) oneiric; urgency=low

  * Build-depend on the fp-2.4.4 packages.
  * Hardcode libssl1.0.0 dependency instead of libssl0.9.8. Closes: #632532.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Aug 2011 22:40:25 +0200

transgui (3.1+svn607-1) unstable; urgency=low

  * New upstream version
  * Update with upstream svn revision 607 to correctly build with
    fpc-2.4.2 and lazarus-0.9.30 (Closes: #620713)
  * Bump Standards-Version to 3.9.2 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 30 Apr 2011 19:43:19 +0200

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~), fpc-2.4.4, lcl-units, lcl-utils,
 fp-utils-2.4.4, lcl-gtk2, imagemagick, libssl-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/transmisson-remote-gui/
Vcs-Git: git://git.debian.org/git/collab-maint/transgui.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/transgui.git

Package: transgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl1.0.0
Description: A front-end to remotely control Transmission 
 This package contains Transmission Remote GUI, which is a feature rich, 
 cross platform, front-end to remotely control Transmission daemon via its 
 RPC protocol. It is faster and has more functionality than build-in 
 Transmission web interface.

## transgui 3.2

=== debian/changelog ===
transgui (3.2-1) unstable; urgency=low

  * New upstream release
  * Replace fpc-2.4.2 and fp-utils-2.4.2 build deps with fpc and fp-utils
  * Replace libssl0.9.8 dep with libssl1.0.0 (Closes: #632532)

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Nov 2011 18:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
-Build-Depends: debhelper (>= 7.0.50~), fpc-2.4.4, lcl-units, lcl-utils,
- fp-utils-2.4.4, lcl-gtk2, imagemagick, libssl-dev
+Build-Depends: debhelper (>= 7.0.50~), fpc, lcl-units, lcl-utils,
+ fp-utils, lcl-gtk2, imagemagick, libssl-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/transmisson-remote-gui/
-Vcs-Git: git://git.debian.org/git/collab-maint/transgui.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/transgui.git
+Vcs-Git: git://git.debian.org/git/collab-maint/transmission-remote-gui.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/transmission-remote-gui.git
 
 Package: transgui
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_OPTIONS=nocheck

build:
	convert transgui.ico transgui.xpm

override_dh_auto_test:

override_dh_auto_install:

%:
	dh $@

## transgui 4.0.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #
-# Don't edit, this file is generated by FPCMake Version 2.0.0 [2009/12/18]
+# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/12/25]
 #
 default: all
-MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
+MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian i386-nativent i386-iphonesim m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded powerpc-wii sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-solaris x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded mipsel-linux
 BSDs = freebsd netbsd openbsd darwin
 UNIXs = linux $(BSDs) solaris qnx haiku
 LIMIT83fs = go32v2 os2 emx watcom
@@ -152,12 +152,6 @@
 OS_TARGET=$(OS_TARGET_DEFAULT)
 endif
 endif
-ifneq ($(words $(FPC_COMPILERINFO)),5)
-FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
-FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
-FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
-FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
-endif
 ifndef CPU_SOURCE
 CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
 endif
@@ -187,7 +181,11 @@
 TARGETSUFFIX=$(OS_TARGET)
 SOURCESUFFIX=$(OS_SOURCE)
 else
+ifneq ($(findstring $(OS_TARGET),$(LIMIT83fs)),)
+TARGETSUFFIX=$(OS_TARGET)
+else
 TARGETSUFFIX=$(FULL_TARGET)
+endif
 SOURCESUFFIX=$(FULL_SOURCE)
 endif
 ifneq ($(FULL_TARGET),$(FULL_SOURCE))
@@ -244,7 +242,7 @@
 ifndef CROSSBINDIR
 CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
 endif
-ifeq ($(OS_TARGET),darwin)
+ifneq ($(findstring $(OS_TARGET),darwin iphonesim),)
 ifeq ($(OS_SOURCE),darwin)
 DARWIN2DARWIN=1
 endif
@@ -263,6 +261,30 @@
 UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
 endif
 PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
+ifndef FPCFPMAKE
+ifdef CROSSCOMPILE
+ifeq ($(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR)))),)
+FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
+ifneq ($(FPCPROG),)
+FPCPROG:=$(firstword $(FPCPROG))
+FPCFPMAKE:=$(shell $(FPCPROG) -PB)
+ifeq ($(strip $(wildcard $(FPCFPMAKE))),)
+FPCFPMAKE:=$(firstword $(FPCPROG))
+endif
+else
+override FPCFPMAKE=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
+endif
+else
+FPCFPMAKE=$(strip $(wildcard $(addsuffix /compiler/ppc$(SRCEXEEXT),$(FPCDIR))))
+FPMAKE_SKIP_CONFIG=-n
+export FPCFPMAKE
+export FPMAKE_SKIP_CONFIG
+endif
+else
+FPMAKE_SKIP_CONFIG=-n
+FPCFPMAKE=$(FPC)
+endif
+endif
 ifneq ($(findstring $(OS_TARGET),win32,win64),)
 PROG_VER=$(shell type VERSION.txt)
 else
@@ -291,6 +313,11 @@
 ifneq ($(findstring $(OS_TARGET),darwin),)
 LCL_WIDGETSET=carbon
 endif
+ifeq ($(DEBUG),)
+  COMP_OPT=-O2 -g- -CX -XX -Xs
+else  
+  COMP_OPT=-O- -gs -dCALLSTACK
+endif
 ifeq ($(FULL_TARGET),i386-linux)
 override TARGET_PROGRAMS+=transgui
 endif
@@ -351,6 +378,12 @@
 ifeq ($(FULL_TARGET),i386-symbian)
 override TARGET_PROGRAMS+=transgui
 endif
+ifeq ($(FULL_TARGET),i386-nativent)
+override TARGET_PROGRAMS+=transgui
+endif
+ifeq ($(FULL_TARGET),i386-iphonesim)
+override TARGET_PROGRAMS+=transgui
+endif
 ifeq ($(FULL_TARGET),m68k-linux)
 override TARGET_PROGRAMS+=transgui
 endif
@@ -396,6 +429,9 @@
 ifeq ($(FULL_TARGET),powerpc-embedded)
 override TARGET_PROGRAMS+=transgui
 endif
+ifeq ($(FULL_TARGET),powerpc-wii)
+override TARGET_PROGRAMS+=transgui
+endif
 ifeq ($(FULL_TARGET),sparc-linux)
 override TARGET_PROGRAMS+=transgui
 endif
@@ -414,46 +450,7 @@
 ifeq ($(FULL_TARGET),x86_64-freebsd)
 override TARGET_PROGRAMS+=transgui
 endif
+ifeq ($(FULL_TARGET),x86_64-solaris)
+override TARGET_PROGRAMS+=transgui
+endif
 ifeq ($(FULL_TARGET),x86_64-darwin)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),x86_64-win64)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),x86_64-embedded)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-linux)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-palmos)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-darwin)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-wince)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-gba)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-nds)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-embedded)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),arm-symbian)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),powerpc64-linux)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),powerpc64-darwin)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),powerpc64-embedded)
-override TARGET_PROGRAMS+=transgui
-endif
-ifeq ($(FULL_TARGET),avr-embedded)

=== debian/changelog ===
transgui (4.0.3-2ubuntu1) quantal; urgency=low

  * Additional check for overlay scrollbars (lp: #1087999)

 -- Andreas Noteng <andreas@noteng.no>  Wed, 12 Dec 2012 15:12:27 -0800

transgui (4.0.3-2) unstable; urgency=low

  * Set DM-Upload-Allowed: yes
  * Allow transgui to be selected as default handler of .torrent's
    (lp: #1007962)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 03 Jun 2012 22:00:04 +0200

transgui (4.0.3-1) unstable; urgency=low

  * New upstream release
  * Remove history.txt from debian/docs as it is installed automatically by
    dh_installchangelogs.

 -- Andreas Noteng <andreas@noteng.no>  Fri, 11 May 2012 07:17:22 +0200

transgui (4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Wed, 11 Apr 2012 09:10:44 +0200

transgui (4.0-1) unstable; urgency=low

  * New upstream version
  * Make transgui handle magnet links
  * Bump Standards-Version to 3.9.3
    - Update machine readable debian/copyright to version 1
  [Mònica Ramírez Arceda]
  * Remove the -WG flag as it's not needed. (Closes: #663552)
  * Remove the first article from synopsis.

 -- Andreas Noteng <andreas@noteng.no>  Sat, 07 Apr 2012 18:54:57 +0200

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~),
               fp-utils,
               fpc,
               imagemagick,
               lcl-gtk2,
               lcl-units,
               lcl-utils,
               libssl-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/transmisson-remote-gui/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/collab-maint/transmission-remote-gui.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/transmission-remote-gui.git

Package: transgui
Architecture: any
Depends: libssl1.0.0, ${misc:Depends}, ${shlibs:Depends}
Description: Front-end to remotely control Transmission
 This package contains Transmission Remote GUI, which is a feature rich,
 cross platform, front-end to remotely control Transmission daemon via its
 RPC protocol. It is faster and has more functionality than build-in
 Transmission web interface.

## transgui 4.1

=== debian/changelog ===
transgui (4.1-1) unstable; urgency=low

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sun, 21 Oct 2012 14:21:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 DEB_BUILD_OPTIONS=nocheck
 
-build:
+override_dh_auto_build:
 	convert transgui.ico transgui.xpm
+	dh_auto_build
 
 override_dh_auto_test:

## transgui 5.0

=== debian/changelog ===
transgui (5.0-1) unstable; urgency=low

  * Add missing semicolon to MimeType line of transgui.desktop (Closes: #706420)
  * New upstream release
  * Bump Standards-Version to version 3.9.5 (no change)
  * Refresh Copyright file

 -- Andreas Noteng <andreas@noteng.no>  Tue, 30 Apr 2013 23:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: transgui
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
+Maintainer: Andreas Noteng <andreas@noteng.no>
 Build-Depends: debhelper (>= 7.0.50~),
                fp-utils,
                fpc,
@@ -11,7 +10,7 @@
                lcl-units,
                lcl-utils,
                libssl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/transmisson-remote-gui/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/collab-maint/transmission-remote-gui.git

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(transgui-([\d.]+)-src\.zip).*#http://transmisson-remote-gui.googlecode.com/files/$1#,filenamemangle=s#.*(transgui-([\d.]+)-src\.zip).*#$1# \
    http://code.google.com/p/transmisson-remote-gui/downloads/list ^.*detail\?name=transgui-([\d.]+)-src\.zip.*

## transgui 5.0.1

=== debian/changelog ===
transgui (5.0.1-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Do not set FPC and FPCDIR, no longer needed (Closes: #887967)
  * Remove shipped Makefile to fix build on arm64 (Closes: #803986)
  * Add debian/clean to fix FTBFSx2

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Apr 2018 10:12:38 +0000

transgui (5.0.1-5) unstable; urgency=medium

  * Build-depend on libssl-dev and load the 1.1.0 library
    (Closes: #859782)
  * Bump Standards-Version to 4.0.1 (delete debian/menu)
  * Update debian/copyright
  * Bump debian/compat from 7 to 9
  * Regenerate makefile
    (Closes: #803986)
  * Fix compilation with newer Lazarus
    - fix_compile.patch
    (Closes: #865686)
  * Update homepage

 -- Andreas Noteng <andreas@noteng.no>  Sat, 12 Aug 2017 21:25:47 +0200

transgui (5.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libssl1.0-dev and load the 1.0.2 library
    (Closes: #855007, #839863).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 14 Feb 2017 21:12:57 +0100

transgui (5.0.1-4) unstable; urgency=medium

  * Remove error message when opening containing folder (Closes: #811289)
    - Patch: fix.open.patch 

 -- Andreas Noteng <andreas@noteng.no>  Fri, 25 Mar 2016 19:23:57 +0100

transgui (5.0.1-3) unstable; urgency=medium

  * Change libssl dependency from v1.0.0 to v1.0.2 (Closes: #805125)

  [Edmund Grimley Evans]
  * Regenerate makefile before build (Closes: #803986)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 15 Nov 2015 11:15:14 +0100

transgui (5.0.1-2) unstable; urgency=medium

  * Add missing build dependencies (Closes: #791407)
  * Update and fix minor errors in d/copyright
  * Bump Standards-Version to 3.9.6 (no change)
  * Add lintian override for hardening-no-relro

 -- Andreas Noteng <andreas@noteng.no>  Tue, 07 Jul 2015 14:30:04 +0200

transgui (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Remove deprecated Dm-Upload-Allowed field from debian/control
  * Update VCS-* fields to canonical URIs

 -- Andreas Noteng <andreas@noteng.no>  Thu, 10 Apr 2014 16:47:33 +0200

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~),
               fp-utils,
               fpc,
               imagemagick,
               lcl-gtk2,
               lcl-units,
               lcl-utils,
               libatk1.0-dev,
               libcairo2-dev,
               libgdk-pixbuf2.0-dev,
               libgtk2.0-dev,
               libpango1.0-dev,
               libssl-dev,
               libx11-dev
Standards-Version: 4.0.1
Homepage: https://sourceforge.net/projects/transgui/
Vcs-Git: git://anonscm.debian.org/collab-maint/transmission-remote-gui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/transmission-remote-gui.git

Package: transgui
Architecture: any
Depends: libssl1.1, ${misc:Depends}, ${shlibs:Depends}
Description: Front-end to remotely control Transmission
 This package contains Transmission Remote GUI, which is a feature rich,
 cross platform, front-end to remotely control Transmission daemon via its
 RPC protocol. It is faster and has more functionality than build-in
 Transmission web interface.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_OPTIONS=nocheck
+override_dh_auto_clean:
+# Remove shipped Makefile to fix build on arm64
+	rm -f Makefile
+	fpcmake
+	dh_auto_clean
+
+override_dh_auto_configure:
+	fpcmake
 
 override_dh_auto_build:
 	convert transgui.ico transgui.xpm

=== debian/watch ===
version=3
http://sf.net/transgui/transgui-(\d\S*).src.zip

## transgui 5.17.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -314,9 +314,9 @@
 LCL_WIDGETSET=carbon
 endif
 ifeq ($(DEBUG),)
-  COMP_OPT=-O2 -g- -CX -XX -Xs
-else  
-  COMP_OPT=-O- -gs -dCALLSTACK
+  COMP_OPT=-O3 -g- -CX -XX -Xs -Scgi -l -vewnhibq
+else
+  COMP_OPT=-O- -g -gl -gs -dCALLSTACK -Scgi -l -vewnhibq
 endif
 ifeq ($(FULL_TARGET),i386-linux)
 override TARGET_PROGRAMS+=transgui
@@ -453,4 +453,3 @@
 ifeq ($(FULL_TARGET),x86_64-solaris)
 override TARGET_PROGRAMS+=transgui
 endif
-ifeq ($(FULL_TARGET),x86_64-darwin)

=== debian/changelog ===
transgui (5.17.0+dfsg-1) unstable; urgency=medium

  * Switched upstream sources to
    https://github.com/transmission-remote-gui/transgui (Closes: #897008)
  * Bump Standards-Version to 4.4.0
    - Confidential URLs in VCS-headers in debian/control
    - HTTPS URL in copyright format
  * Update debian/copyright
  * Bump compat level from 9 to 12
    - Delete debian/compat and use debhelper-compat in debian/control
  * Remove outdated patches
  * Add Keywords to desktop file
  * Remove SSL support due to missing SSL exception in license

 -- Andreas Noteng <andreas@noteng.no>  Fri, 06 Sep 2019 19:03:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 12.2.3),
+               debhelper-compat (= 12),
                fp-utils,
                fpc,
                imagemagick,
@@ -14,12 +15,12 @@
                libgdk-pixbuf2.0-dev,
                libgtk2.0-dev,
                libpango1.0-dev,
-               libssl-dev,
+#               libssl-dev,
                libx11-dev
-Standards-Version: 4.0.1
-Homepage: https://sourceforge.net/projects/transgui/
-Vcs-Git: git://anonscm.debian.org/collab-maint/transmission-remote-gui.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/transmission-remote-gui.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/transmission-remote-gui/transgui
+Vcs-Git: https://salsa.debian.org/anoteng-guest/transgui
+Vcs-Browser: https://salsa.debian.org/anoteng-guest/transgui.git
 
 Package: transgui
 Architecture: any

## transgui 5.18.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

execute_before_dh_auto_clean:
	@echo "Remove shipped Makefile to fix build on arm64"
	rm -f Makefile
	fpcmake

override_dh_auto_configure:
	fpcmake

override_dh_auto_build:
	lazbuild -B transgui.lpi --lazarusdir=/usr/lib/lazarus/default/
	$(MAKE) clean
	$(MAKE) all

override_dh_auto_test:

override_dh_auto_install:

%:
	dh $@

## transgui 5.18.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -311,7 +311,7 @@
 LCL_WIDGETSET=win32
 endif
 ifneq ($(findstring $(OS_TARGET),darwin),)
-LCL_WIDGETSET=carbon
+LCL_WIDGETSET=cocoa
 endif
 ifeq ($(DEBUG),)
   COMP_OPT=-O3 -g- -CX -XX -Xs -Scgi -l -vewnhibq

=== debian/changelog ===
transgui (5.18.0+dfsg-3) unstable; urgency=medium

  * Re-add libssl-dev dependency (LP: #1971896)
  * Patch transgui to correctly connect to transmission 3.0 (Closes: #996022)
  * Bump Standards-Version to 2.6.0 (no change)
  * Bump compat level to 13 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 08 May 2022 22:41:20 +0200

transgui (5.18.0+dfsg-2) unstable; urgency=medium

  * Correctly install icon
  * Add upstream metadata
  * debian/copyright
    - Add some missing paragraphs
    - Reflect upstream's addition of the OpenSSL exception to the GPL

 -- Andreas Noteng <andreas@noteng.no>  Tue, 31 Dec 2019 04:49:07 +0100

transgui (5.18.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 09 Nov 2019 11:15:04 +0100

=== debian/control ===
Source: transgui
Section: net
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 13.7.1),
               debhelper-compat (= 13),
               fp-utils,
               fpc,
               imagemagick,
               lcl-gtk2,
               lcl-units,
               lcl-utils,
               libatk1.0-dev,
               libcairo2-dev,
               libgdk-pixbuf2.0-dev,
               libgtk2.0-dev,
               libpango1.0-dev,
               libssl-dev,
               libx11-dev
Standards-Version: 4.6.0
Homepage: https://github.com/transmission-remote-gui/transgui
Vcs-Git: https://salsa.debian.org/anoteng-guest/transgui
Vcs-Browser: https://salsa.debian.org/anoteng-guest/transgui.git
Rules-Requires-Root: no

Package: transgui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Front-end to remotely control Transmission
 This package contains Transmission Remote GUI, which is a feature rich,
 cross platform, front-end to remotely control Transmission daemon via its
 RPC protocol. It is faster and has more functionality than build-in
 Transmission web interface.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
# Remove shipped Makefile to fix build on arm64
	rm -f Makefile
	fpcmake
	dh_auto_clean

override_dh_auto_configure:
	fpcmake

override_dh_auto_build:
	lazbuild -B transgui.lpi --lazarusdir=/usr/lib/lazarus/default/
	make -j"$(nproc)" clean
	make -j"$(nproc)" all

override_dh_auto_test:

override_dh_auto_install:

%:
	dh $@
